# The SGMLPrint interface

Type T is an SGML.Application which may be used to print back a parsed SGML file to the specified writer. It may be inherited from to perform some translation on the parsed file content before printing back.

    INTERFACE SGMLPrint;

    IMPORT SGML, Wr, SGMLElementSeq;

    TYPE
      T <: Public;

      Public = SGML.Application OBJECT
          wr: Wr.T;
          stack: SGMLElementSeq.T;
        METHODS
          init(): T;
        END;

The sgml file corresponding to the received parsing events is printed to the writer contained in wr. A stack of elements entered is maintained in stack. This may be used to determine the position in the structure tree through the use of the size and get methods of the sequence in stack.

    END SGMLPrint.